__INTEL_DISPLAY_POWE(9)

NAME
__intel_display_power_is_enabled - unlocked check for a power domain

SYNOPSIS

bool __intel_display_power_is_enabled(struct drm_i915_private * dev_priv, enum intel_display_power_domain domain);

ARGUMENTS

dev_priv
    i915 device instance

domain
    power domain to check

DESCRIPTION

This is the unlocked version of intel_display_power_is_enabled and should only be used from error capture and recovery code where deadlocks are possible.

RETURNS

True when the power domain is enabled, false otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT